Subject: [PATCH v4 2/3] ARM: mvebu: Add quirk for i2c

From: [email-masked] (Gregory CLEMENT)
Date: Wed, 08 Jan 2014 15:07:54 +0100

Hi Wolfram,

On 08/01/2014 14:39, Wolfram Sang wrote:
> 
>>>>>> However, when I first read this I thought it should be a -a0 specific
>>>>>> compatible string, not a 'offload-broken' property - any idea what the
>>>>>> DT consensus is here? I've seen both approach in use ..
>>>>>
>>>>> I prefer the replacement of the compatible string. If it should really
>>>>> be a seperate property, then it should be a vendor specific property. It
>>>>> is not generic, at all.
>>>>
>>>> Something like "marvell,offload-broken" would be acceptable?
>>>
>>> A tad more, yes. Still, since this is a feature/quirk of the IP core
>>> revision, it should be deduced from the compatible property IMO. It
>>> cannot be configured anywhere, so it doesn't change on board level.
>>
>> So you would prefer using the "marvell,mv78230-a0-i2c" comaptible string and
>> updating it with the follwing piece of code?
> 
> This is the approach I favour, yes. Can't say much about the
> implementation. Looks OK, but dunno if this is minimal...

Allocating memory in each loop could seem convoluted. In my first approach
I just used a static struct but I got warning during boot about duplicated
node. It seems we can use the same property struct for two different nodes.

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com